Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 258377 - dev-libs/icu-3.8.1-r1 fails to build with GCC 4.4
Summary: dev-libs/icu-3.8.1-r1 fails to build with GCC 4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-02-09 22:16 UTC by Daniel J.
Modified: 2009-05-08 00:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to the ebuild to eliminate empty #elif's (icu-3.8.1-r1-gcc-4.4.patch,443 bytes, patch)
2009-02-09 22:16 UTC, Daniel J.
Details | Diff
patch for 4.0.1 ebuild to eliminate empty elif's (icu-4.0.1-gcc-4.4.patch,369 bytes, patch)
2009-04-06 03:21 UTC, Daniel J.
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel J. 2009-02-09 22:16:02 UTC
In the past, GCC has been lenient with #elif's with no conditional clause, but in GCC 4.4 it will cough and die.  The file layoutex/ParagraphLayout.cpp contains such #elif's.
Comment 1 Daniel J. 2009-02-09 22:16:35 UTC
Created attachment 181492 [details, diff]
Patch to the ebuild to eliminate empty #elif's
Comment 2 Daniel J. 2009-02-10 14:09:07 UTC
This was fixed in upstream SVN trunk with changeset 24411.  AFAICT, it hasn't made its way into any official releases yet.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-02-11 19:02:16 UTC
Yummy, bugs fixed before they exist!
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2009-03-01 00:17:18 UTC
added to gcc-porting overlay
Comment 5 Christian Hoffmann (RETIRED) gentoo-dev 2009-03-01 21:05:52 UTC
Feel free to commit it to the main tree. I have absolutely zero knowledge about this package and I have no idea why it is even in the PHP herd (it has been there for a long time and only PHP6 is going to use it, which is still away a fair amount of time).
Comment 6 Daniel J. 2009-04-06 03:21:27 UTC
Created attachment 187438 [details, diff]
patch for 4.0.1 ebuild to eliminate empty elif's

icu-4.0.1 has a similar issue.  The attached patch fixes the new ebuild.
Comment 7 Daniel J. 2009-04-06 03:23:30 UTC
This package is used by webkit-gtk (rather than PHP, other than PHP6).  It seems like it would make sense to reassign this from the PHP herd to the Gnome or GTK people.
Comment 8 Peter Alfredsen (RETIRED) gentoo-dev 2009-05-08 00:39:33 UTC
+  08 May 2009; Peter Alfredsen <loki_val@gentoo.org> icu-3.8.1-r1.ebuild,
+  icu-4.0.1.ebuild:
+  Fix bug 258377, gcc-4.4 compatibility. Thanks to Daniel J.
+  <sleeperseven@hotmail.com> for the patch.
+